<!-- Dialog Window -->
<html>

<head>
<title>{%const:title%} - {%title%}{%const:long%}</title>
{%glo:PageEncoding%}
<link rel="stylesheet" href="gui/style.css" type="text/css">
<script language="javascript">
<!--
  function OnLoad()
  {
    if(window.dialogArguments)
      document.Form.LinkUrl.value = window.dialogArguments;
    if(window.opener && window.opener.GetE && window.opener.GetE('txtLnkUrl'))
    {
      document.Form.LinkUrl.value = window.opener.GetE('txtLnkUrl').value;
    }else if(window.opener && window.opener.GetE && window.opener.GetE('txtUrl'))
    {
      document.Form.LinkUrl.value = window.opener.GetE('txtUrl').value;
    }

    {%%if:dlgtype:checkbox%%}
    document.iframe.location = "{%str:frame%}&sel=" + window.dialogArguments;
    {%%endif%%}
  }
// -->
</script>
<script language="javascript">
<!--
//  var arr = new Array();

  function OkClick()
  {
    arr =  document.Form.LinkUrl.value;
    if(window.opener && window.opener.SetUrl)
    {
      window.opener.SetUrl(arr);
    }
    window.returnValue = arr;
		if(typeof opener_callback_function == 'function'){
  		opener_callback_function(arr);
  	}
    window.close();
  }
// -->
</script>
</head>

<body bgcolor="#E8E8E8" onload="OnLoad();" >
<form name="Form">
<table width="100%" height="100%" cellpadding="3" cellspacing="3" border="0">
  <tr>
    <td colspan="2" width="100%">
    <iframe frameborder="1" name="iframe" width="100%" height="100%" src="{%str:frame%}" style="z-index:1;" scrolling="auto"></iframe>
    </td>
  </tr>
  <tr>
    <td height="25" width="25%" align="right" nowrap>{%str:label%}</td>
    <td height="25" width="75%" align="left"><input name="LinkUrl" type="text" style="width: 100%"></td>
  </tr>
  <tr>
    <td colspan="2" height="30" width="100%" align="right">
    <input type="button" name="Ok" class="formButton" tabindex="1" value="&nbsp;&nbsp;&nbsp;{%langstr:ok%}&nbsp;&nbsp;&nbsp;" OnClick="OkClick();">
    <input type="button" name="Cancel" class="formButton" value="{%langstr:cancel%}" OnClick="window.close();">
    </td>
  </tr>
</table>
</form>
</body>

</html>
